module.exports = {
    title: "passbook",
    tagline: "The authentication glue you need.",
    url: "https://passbook.beryju.org",
    baseUrl: "/",
    onBrokenLinks: "throw",
    favicon: "img/logo.png",
    organizationName: "BeryJu",
    projectName: "passbook",
    themeConfig: {
        navbar: {
            title: "passbook",
            logo: {
                alt: "passbook logo",
                src: "img/logo.svg",
            },
            hideOnScroll: true,
            items: [
                {
                    to: "docs/",
                    activeBasePath: "docs",
                    label: "Docs",
                    position: "left",
                },
                {
                    href: "https://github.com/beryju/passbook",
                    label: "GitHub",
                    position: "right",
                },
            ],
        },
        footer: {
            links: [
                {
                    title: "Docs",
                    items: [
                        {
                            label: "Documentation",
                            to: "docs/",
                        },
                        {
                            label: "Installations",
                            to: "docs/installation/index",
                        },
                    ],
                },
                {
                    title: "More",
                    items: [
                        {
                            label: "GitHub",
                            href: "https://github.com/beryju/passbook",
                        },
                    ],
                },
            ],
            copyright: `Copyright © ${new Date().getFullYear()} BeryJu.org. Built with Docusaurus.`,
        },
        colorMode: {
            respectPrefersColorScheme: true,
        },
    },
    presets: [
        [
            "@docusaurus/preset-classic",
            {
                docs: {
                    sidebarPath: require.resolve("./sidebars.js"),
                    editUrl:
                        "https://github.com/beryju/passbook/edit/master/website/",
                },
                theme: {
                    customCss: require.resolve("./src/css/custom.css"),
                },
            },
        ],
    ],
};
